Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-3371

Overview

Vulnerability Score 10.0 10.0
CVE Id CVE-2009-3371
Last Modified 21 Aug 2010 01:35:42
Published 29 Oct 2009 10:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2009-3371

Summary

Use-after-free vulnerability in Mozilla Firefox 3.5.x before 3.5.4 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code by creating JavaScript web-workers recursively.

Vulnerable Systems

Application

  • Mozilla Firefox 3.5.1

  • Mozilla Firefox 3.5.2

  • Mozilla Firefox 3.5.3

  • Mozilla Firefox 3.5.4


References

CONFIRM - http://www.mozilla.org/security/announce/2009/mfsa2009-54.html

CONFIRM - https://bugzilla.mozilla.org/show_bug.cgi?id=514554

VUPEN - ADV-2009-3334

MANDRIVA - MDVSA-2009:294

SUNALERT - 272909


Last Updated: 27 May 2016 10:51:14